[Résolu] Probleme d'install. lecteur carte d'identité (EID)

French Forum

Moderators: Laurent85, killer de bug

Post Reply
User avatar
jjcojax
Level 2
Level 2
Posts: 85
Joined: Fri Apr 03, 2015 6:01 am
Location: Belgium

[Résolu] Probleme d'install. lecteur carte d'identité (EID)

Post by jjcojax » Tue Oct 23, 2018 3:38 pm

Bonjour,

Les Belges ont le plaisir de remplir la déclaration d’impôt chaque année via "TAX ON WEB"

Pour que cela fonctionne, faut installer un programme pour qu'un lecteur de carte d'identité puisse lire la puce de la carte afin de s'identifier.

-> On trouve le programme d'installation ici : https://eid.belgium.be/fr/installation- ... sous-linux.

-> Cela fonctionne sur mes vieux PC en 32 bits (aussi migrés de Mint 18.3 à 19) et même sur une clé Live USB avec persistance.
---
Sur ma machine principale (Intel I5 6600 sur carte mère Asus) que j'ai migré de Mint Mate 18.3 /64 bits vers 19 /64 bits via ce tuto https://community.linuxmint.com/tutorial/view/2416

-> La version du logiciel EID qui fonctionnait sous Mint Mate 18.3 ne fonctionne plus !

J'ai désinstaller puis réinstallé le logiciel via la dernière version du paquet (eid-archive_2018.4_all.deb)
Il n'y a pas de message d'erreur, mais seul une petite partie des composants du paquet se retrouve dans synaptic.

vue synaptic du Mint réel

Sur la même machine et via Virtualbox, j'ai fais une nouvelle installation de Mint Mate 19/64 et j'ai installé le même paquet.
Je retrouve dans synaptic tous les composants pour rendre le lecteur de carte opérationnel (comme sur mes autres PC en 32 bits)

vue synaptic du Mint virtuel

Je cherche à savoir pourquoi ce paquet ne s'installe pas correctement ?

La seule chose que je constate est que les dépôts supplémentaires ne se sont pas ajoutés tous seul comme dans la version virtuelle ! :(

Avez-vous une piste ?

jjcojax
Last edited by jjcojax on Sat Oct 27, 2018 6:14 am, edited 2 times in total.

Laurent85
Level 15
Level 15
Posts: 5753
Joined: Tue May 26, 2015 10:11 am

Re: Probleme d'installation lecteur carte d'identité (EID)

Post by Laurent85 » Tue Oct 23, 2018 3:59 pm

Bonjour,
Purge les paquets installés sur LM19 et fait l'installation en ligne de commande pour avoir des messages éventuels :

Code: Select all

sudo dpkg -i eid-archive_2018.4_all.deb
apt update 
apt install eid-mw eid-viewer --install-recommends
Image

User avatar
jjcojax
Level 2
Level 2
Posts: 85
Joined: Fri Apr 03, 2015 6:01 am
Location: Belgium

Re: Probleme d'installation lecteur carte d'identité (EID)

Post by jjcojax » Wed Oct 24, 2018 5:01 pm

Merci de ton aide, :wink:

Voici ce que tu demandes, et plus bas, les mêmes commandes sous virtualbox -> Sur laquelle cela fonctionne

Code: Select all

jjcojax@ASUS-I5-MINT19 ~ $ sudo dpkg -i eid-archive_2018.4_all.deb
[sudo] Mot de passe de jjcojax : 
dpkg: erreur: cannot access archive 'eid-archive_2018.4_all.deb': Aucun fichier ou dossier de ce type
Comme mon programme d'install se trouve dans le dossier /Téléchargements, j'ai adapté pour que cela passe.

Code: Select all

jjcojax@ASUS-I5-MINT19 ~ $ sudo dpkg -i ./Téléchargements/eid-archive_2018.4_all.deb
(Lecture de la base de données... 472734 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../eid-archive_2018.4_all.deb ...
Dépaquetage de eid-archive (2018.4) sur (2018.4) ...
Paramétrage de eid-archive (2018.4) ...
Not replacing deleted config file /etc/apt/sources.list.d/eid.list
Repository enabled, keys installed. Please run "apt-get update" followed by
"apt-get install eid-mw eid-viewer" to install the middleware and the viewer, respectively.
Je pense que le défaut pourait être ... (conséquences mise à jour 18.3 ->19 ? )

Code: Select all

Not replacing deleted config file /etc/apt/sources.list.d/eid.list
Puis pour apt update j'ai ajouté sudo (car permission non accordée)

Code: Select all

jjcojax@ASUS-I5-MINT19 ~ $ sudo apt-get update
Réception de:1 http://security.ubuntu.com/ubuntu bionic-security InRelease [83,2 kB]
Atteint:2 http://archive.ubuntu.com/ubuntu bionic InRelease                                                   
Réception de:3 http://archive.ubuntu.com/ubuntu bionic-updates InRelease [88,7 kB]                            
Atteint:4 http://archive.canonical.com/ubuntu bionic InRelease                                                
Atteint:5 http://linux.teamviewer.com/deb stable InRelease                                                    
Atteint:6 http://linux.teamviewer.com/deb preview InRelease                                                   
Réception de:7 http://archive.ubuntu.com/ubuntu bionic-backports InRelease [74,6 kB]                          
Ign:8 http://packages.linuxmint.com tara InRelease                                              
Atteint:9 http://packages.linuxmint.com tara Release          
247 ko réceptionnés en 1s (181 ko/s)
Lecture des listes de paquets... Fait
Suite

Code: Select all

jjcojax@ASUS-I5-MINT19 ~ $ apt-get install eid-mw eid-viewer --install-recommends
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Aucune version du paquet eid-mw n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'il est devenu obsolète
ou qu'il n'est disponible que sur une autre source
Cependant les paquets suivants le remplacent :   libbeidpkcs11-bin

E: Le paquet « eid-mw » n'a pas de version susceptible d'être installée
E: Impossible de trouver le paquet eid-viewer
----
J'ajoute ce que je retrouve dans la machine virtuelle (la petite différence est que le fichier d'install est sur le /Bureau)

Code: Select all

jjcojax@jjcojax-VirtualBox:~$ sudo dpkg -i ./Bureau/eid-archive_2018.4_all.deb
(Lecture de la base de données... 303864 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../eid-archive_2018.4_all.deb ...
Dépaquetage de eid-archive (2018.4) sur (2018.4) ...
Paramétrage de eid-archive (2018.4) ...
Repository enabled, keys installed. Please run "apt-get update" followed by
"apt-get install eid-mw eid-viewer" to install the middleware and the viewer, respectively.

jjcojax@jjcojax-VirtualBox:~$ sudo apt update
Atteint:1 http://archive.ubuntu.com/ubuntu bionic InRelease
Atteint:2 http://archive.canonical.com/ubuntu bionic InRelease                 
Atteint:3 http://archive.ubuntu.com/ubuntu bionic-updates InRelease            
Atteint:4 http://files2.eid.belgium.be/debian tara InRelease                   
Atteint:5 http://security.ubuntu.com/ubuntu bionic-security InRelease          
Atteint:6 http://archive.ubuntu.com/ubuntu bionic-backports InRelease          
Atteint:7 http://files.eid.belgium.be/debian tara InRelease                    
Ign:8 http://packages.linuxmint.com tara InRelease                             
Atteint:9 http://packages.linuxmint.com tara Release           
Lecture des listes de paquets... Fait                          
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
10 paquets peuvent être mis à jour. Exécutez « apt list --upgradable » pour les voir.

jjcojax@jjcojax-VirtualBox:~$ sudo apt-get install eid-mw eid-viewer
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
eid-mw est déjà la version la plus récente (4.4.8v4.4.8-0u1804-1).
eid-viewer est déjà la version la plus récente (4.4.8v4.4.8-0u1804-1).
0 mis à jour, 0 nouvellement installés, 0 à enlever et 10 non mis à jour.
jjcojax@jjcojax-VirtualBox:~$ 

Faut-il introduire la source list à la main ? (ce que je n'ai pas du faire sur mes autres PC 32 bits, ni en Linux Mint virtuel)

jjcojax
Last edited by Laurent85 on Wed Oct 24, 2018 5:53 pm, edited 1 time in total.
Reason: Quote tags replaced with Code tags

Laurent85
Level 15
Level 15
Posts: 5753
Joined: Tue May 26, 2015 10:11 am

Re: Probleme d'installation lecteur carte d'identité (EID)

Post by Laurent85 » Wed Oct 24, 2018 6:13 pm

jjcojax wrote:
Wed Oct 24, 2018 5:01 pm
Je pense que le défaut pourait être ... (conséquences mise à jour 18.3 ->19 ? )

Code: Select all

Not replacing deleted config file /etc/apt/sources.list.d/eid.list
Oui. Vu le message, va dans Sources de logiciels et supprime les dépôts eid. Puis recommence l'installation comme indiqué dans mon message précédent.
Puis pour apt update j'ai ajouté sudo (car permission non accordée)
Sur LM on peut utiliser apt update sans sudo, c'est plus simple à saisir que sudo apt-get update.
Image

User avatar
jjcojax
Level 2
Level 2
Posts: 85
Joined: Fri Apr 03, 2015 6:01 am
Location: Belgium

Re: Probleme d'installation lecteur carte d'identité (EID)

Post by jjcojax » Thu Oct 25, 2018 1:43 am

Laurent85 wrote:Oui. Vu le message, va dans Sources de logiciels et supprime les dépôts eid.
celui ci ?

il contient ...

Code: Select all

# To enable the candidate repository, uncomment the below line, put "deb" in
# front of it, and run "dpkg-reconfigure eid-archive" to enable the archive
# key.
#
# The candidate repository contains unsupported prerelease packages. Use at
# your own risk.
#
# Note, however, that the candidate repository is usually empty; it is
# used when we're preparing (and testing) a new release. Therefore, it
# should be relatively safe.
#
# There is also another "continuous" repository, for which packages get
# recompiled for each and every change to the source. This isn't listed
# (so that it can't be accidentally enabled), but the configuration is
# the same as the below, with "candidate" replaced by "continuous".
#
# http://files.eid.belgium.be/debian candidate/tara main
# NOTE: files2.eid.belgium.be is a mirror for the main repository ONLY.
# That is, it does not contain the continuous or candidate repositories.

# The regular repository with released packages. This is what you should
# use.
deb http://files.eid.belgium.be/debian tara main
deb http://files2.eid.belgium.be/debian tara main
La date du passage à Mint19 était le 13/10/18 comme la date de ce fichier.

J' attend ta réponse avant de continuer pour comprendre ce qui c'est mal passé (parce que j'avais fait la migration de mon autre distribution Ubuntu Mate 16.04 /64 vers 18.4 sans avoir ce problème)

Encore merci de ton aide.

jjcojax

Laurent85
Level 15
Level 15
Posts: 5753
Joined: Tue May 26, 2015 10:11 am

Re: Probleme d'installation lecteur carte d'identité (EID)

Post by Laurent85 » Thu Oct 25, 2018 5:14 am

jjcojax wrote:
Thu Oct 25, 2018 1:43 am
Laurent85 wrote:Oui. Vu le message, va dans Sources de logiciels et supprime les dépôts eid.
celui ci ?
Oui. Plus simple, va dans Sources de Logiciels pour le supprimer, l'outil interface graphique de LM.
La date du passage à Mint19 était le 13/10/18 comme la date de ce fichier.
Je ne sais pas si le contenu est bon mais dans le doute il y a ce message à l'installation que tu n'as pas dans la vm.
J' attend ta réponse avant de continuer pour comprendre ce qui c'est mal passé (parce que j'avais fait la migration de mon autre distribution Ubuntu Mate 16.04 /64 vers 18.4 sans avoir ce problème)
Le dépôt est une piste mais il y a peut-être une autre raison qu'il faudra creuser.
Image

User avatar
jjcojax
Level 2
Level 2
Posts: 85
Joined: Fri Apr 03, 2015 6:01 am
Location: Belgium

Re: Probleme d'installation lecteur carte d'identité (EID)

Post by jjcojax » Thu Oct 25, 2018 5:27 pm

Bonjour,

En graphique, je vois ceci -> pas de trace de EID.

-> Il n'y a que teamviewer que j'ai installé le 18/10/18

J'ai déplacé le fichier eid ... dans un dossier /déplacé (plutôt que de le virer)

Si je refais les commandes, j'ai toujours ...

Code: Select all

jjcojax@ASUS-I5-MINT19 ~ $ sudo dpkg -i ./Téléchargements/eid-archive_2018.4_all.deb
[sudo] Mot de passe de jjcojax : 
(Lecture de la base de données... 472676 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../eid-archive_2018.4_all.deb ...
Dépaquetage de eid-archive (2018.4) sur (2018.4) ...
Paramétrage de eid-archive (2018.4) ...
Not replacing deleted config file /etc/apt/sources.list.d/eid.list <-------
Repository enabled, keys installed. Please run "apt-get update" followed by
"apt-get install eid-mw eid-viewer" to install the middleware and the viewer, respectively.
La suite ne fonctionne pas (comme montré plus haut.)

Pour info, La mise à jours Mint 18.3 vers 19 à fait un
backup de l'ancien source.list
-> il y a d'autres programmes qui n'ont pas survécus (Jitsy par exemple)

jjcojax

Laurent85
Level 15
Level 15
Posts: 5753
Joined: Tue May 26, 2015 10:11 am

Re: Probleme d'installation lecteur carte d'identité (EID)

Post by Laurent85 » Thu Oct 25, 2018 6:50 pm

jjcojax wrote:
Thu Oct 25, 2018 5:27 pm
En graphique, je vois ceci -> pas de trace de EID.

-> Il n'y a que teamviewer que j'ai installé le 18/10/18
Je n'avais pas remarqué que l'extension du fichier n'est pas .list mais .ufc-dist
Ce qui m'a incité à vérifier un truc et effectivement le message

Code: Select all

Not replacing deleted config file /etc/apt/sources.list.d/eid.list
est une propriété de dpkg, les fichiers de configuration marqués dans la base comme non désinstallés sont traités d'une façon particulière. Il faut que tu purges le paquet eid-archive avant réinstallation :

Code: Select all

apt purge eid-archive
Reprends les commandes de mon message d'installation ensuite.
Image

User avatar
jjcojax
Level 2
Level 2
Posts: 85
Joined: Fri Apr 03, 2015 6:01 am
Location: Belgium

Re: Probleme d'installation lecteur carte d'identité (EID)

Post by jjcojax » Sat Oct 27, 2018 3:44 am

Merci, c'est ok!

Code: Select all

jjcojax@ASUS-I5-MINT19 ~ $ apt purge eid-archive
[sudo] Mot de passe de jjcojax : 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants seront ENLEVÉS :
  eid-archive*
0 mis à jour, 0 nouvellement installés, 1 à enlever et 7 non mis à jour.
Après cette opération, 21,5 ko d'espace disque seront libérés.
Souhaitez-vous continuer ? [O/n] o
(Lecture de la base de données... 472675 fichiers et répertoires déjà installés.)
Suppression de eid-archive (2018.4) ...
(Lecture de la base de données... 472667 fichiers et répertoires déjà installés.)
Purge des fichiers de configuration de eid-archive (2018.4) ... 

Code: Select all

jjcojax@ASUS-I5-MINT19 ~ $ sudo dpkg -i ./Téléchargements/eid-archive_2018.4_all.deb
Sélection du paquet eid-archive précédemment désélectionné.
(Lecture de la base de données... 472668 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../eid-archive_2018.4_all.deb ...
Dépaquetage de eid-archive (2018.4) ...
Paramétrage de eid-archive (2018.4) ...

Creating config file /etc/apt/sources.list.d/eid.list with new version
Repository enabled, keys installed. Please run "apt-get update" followed by
"apt-get install eid-mw eid-viewer" to install the middleware and the viewer, respectively.
et terminé par apt update et apt install eid-mw eid-viewer --install-recommends

Merci, c'est parfait :wink:

et peut être à bientôt pour faire revivre jitsi

jjcojax

Post Reply

Return to “Français (French)”